<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE hibernate-mapping PUBLIC "-//Hibernate/Hibernate Mapping DTD 3.0//EN" "http://www.hibernate.org/dtd/hibernate-mapping-3.0.dtd">
<hibernate-mapping>
    <class catalog="crov_spa" name="com.arrebol.taxiservicios.model.stocktaking.ServiceOrderNotificationDeliveryTo" table="service_order_notification_delivery_to">
        <id name="id" type="string">
            <column length="36" name="id"/>
            <generator class="assigned"/>
        </id>
        <many-to-one name="serviceOrderNotification" class="com.arrebol.taxiservicios.model.stocktaking.ServiceOrderNotification" not-null="true" fetch="select">
            <column name="id_notification" length="36"/>
        </many-to-one>
        <many-to-one name="user" class="com.arrebol.taxiservicios.model.core.User" not-null="true" fetch="select">
            <column name="id_user" length="36"/>
        </many-to-one>
        <property name="statusType" column="delivery_status_type" not-null="true">
            <type name="org.hibernate.type.EnumType">
                <param name="enumClass">com.arrebol.taxiservicios.model.enums.DeliveryStatusType</param>
                <param name="useNamed">true</param>
            </type>
        </property>
    </class>
</hibernate-mapping>
